> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/vendor-platform/importing-exporting-data/license-features-import.md).

# License Features Import

Importing license features allows you to upload multiple features in bulk, expediting the process of managing and associating features with licenses. This page outlines the steps for importing license features using both the platform interface and the Management API.

### Importing License Features via Platform Interface

{% stepper %}
{% step %}

### Navigate to the License Features Import Section

* Open the `Licenses` menu in the sidebar and select the `License Features Import` tab.

![License Features Import Tab](/files/998e77edd0eebd30fad2d088b460d66977f61206)
{% endstep %}

{% step %}

### Prepare Your CSV File

* Populate your CSV file with your license data. Ensure you include the **required headers**, such as `license_key` and `code`.
* There are other **optional headers** that can be included in this CSV file for more detailed configurations, such as `max_consumption` and `expiry_date`. See: [Import License Features From CSV](/management-api/license/import-license-features-from-csv.md).
* Optionally, click the `Download import template file` button to download a pre-formatted CSV file. This template ensures your data conforms to the required structure:
  * [lpf\_example.66d33fd0.csv](https://api.archbee.com/api/presign/1qQvw4Dswzp513JIpU4f9-rGr6MwzZl96SU_grO6qn4-20241204-021000.csv)
    {% endstep %}

{% step %}

### Upload Your CSV File

* Drag and drop your prepared file into the upload area or click to browse and select your file. The platform accepts `.csv` files only.

![CSV Upload Area](/files/fc73c30b6e9f410f83e600ebf691b2f781847618)
{% endstep %}

{% step %}

### Monitor the Upload Status

* Once uploaded, the platform will validate your data and display the status in the `Imports List` section.
* If successful, the status will show as `success`. Otherwise, review the error messages, correct the data, and re-upload.

![Imports List and Status](/files/b0d59cfaf72ac1961083ea92030a67f9cfcf174b)
{% endstep %}
{% endstepper %}

### Importing License Features via Management API

For users who prefer programmatic imports, the Management API provides a simple endpoint to import license features from CSV files.

More information regarding this style of importing can be found at [**Import License Features From CSV**](/management-api/license/import-license-features-from-csv.md), our page outlining the Management API endpoint for performing the equivalent action.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.licensespring.com/vendor-platform/importing-exporting-data/license-features-import.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
